Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xml/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xml/compiler.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xml/compiler.groovy	(revision 803)
@@ -206,15 +206,15 @@
 	}
 
 	/**
-	 * Transfom file wtc.
+	 * Transfom file cqp.
 	 *
 	 * @param dirPathName the dir path name
 	 * @param fileName the file name
 	 * @return true, if successful
 	 */
-	public boolean transfomFileWtc(File wtcFile, HashMap<String, String> textmetadata)
+	public boolean transfomFileWtc(File cqpFile, HashMap<String, String> textmetadata)
 	{
-		if (!createOutput(wtcFile))
+		if (!createOutput(cqpFile))
 			return false;
 
 		String headvalue=""
@@ -393,7 +393,7 @@
 			File errorDir = null		
 			try {
 				xmlFile = new File(url.getFile())
-				errorDir = new File(wtcFile.getParentFile(), "compiler-error")
+				errorDir = new File(cqpFile.getParentFile(), "compiler-error")
 				println "Warning: Moving $xmlFile to $errorDir"
 				errorDir.mkdir();
 				FileCopy.copy(xmlFile, new File(errorDir, xmlFile.getName()))
@@ -455,9 +455,9 @@
 			return false;
 		}
 
-		File wtcFile = new File(binDir, "wtc/"+corpusname+".wtc")
-		new File(binDir, "wtc").deleteDir()
-		new File(binDir, "wtc").mkdir()
+		File cqpFile = new File(binDir, "cqp/"+corpusname+".cqp")
+		new File(binDir, "cqp").deleteDir()
+		new File(binDir, "cqp").mkdir()
 		new File(binDir, "data").deleteDir()
 		new File(binDir, "data").mkdir()
 		new File(binDir, "registry").mkdir()
@@ -469,7 +469,7 @@
 		def builder = null
 
 		//start corpus
-		if (createOutput(wtcFile)) {
+		if (createOutput(cqpFile)) {
 			output.write("<txmcorpus lang=\""+lang+"\">\n")
 			output.close()
 		}
@@ -522,14 +522,14 @@
 				String txtname = f.getName().substring(0,f.getName().length()-4)
 				builder = new compiler(f.toURI().toURL(), txtname, corpusname, "default")
 				builder.setLang(lang);
-				if (!builder.transfomFileWtc(wtcFile, textmetadata)) {
+				if (!builder.transfomFileWtc(cqpFile, textmetadata)) {
 					println("Failed to compile "+f)
 				}
 			}
 		}
 
 		//end corpus
-		if (createOutput(wtcFile)) {
+		if (createOutput(cqpFile)) {
 			output.write("</txmcorpus>\n")
 			output.close()
 		}
@@ -680,7 +680,7 @@
 			String regPath = outDir + "/registry/"+corpusname.toLowerCase();
 			cwbEn.run(
 				outDir + "/data/$corpusname", 
-				outDir + "/wtc/"+corpusname+".wtc", 
+				outDir + "/cqp/"+corpusname+".cqp", 
 				regPath, pAttributes, sAttributes);
 			if (!new File(regPath).exists()) {
 				println "Error: The registry file was not created: $regPath. See https://groupes.renater.fr/wiki/txm-users/public/faq"
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bfm/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bfm/compiler.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bfm/compiler.groovy	(revision 803)
@@ -244,16 +244,16 @@
 	}
 
 	/**
-	 * Transfom file wtc.
+	 * Transfom file cqp.
 	 *
 	 * @param dirPathName the dir path name
 	 * @param fileName the file name
 	 * @return true, if successful
 	 */
-	private boolean transfomFileWtc(File wtcFile)
+	private boolean transfomFileWtc(File cqpFile)
 	{
 		try {
-			if (!createOutput(wtcFile)) return false;
+			if (!createOutput(cqpFile)) return false;
 
 			String headvalue = ""
 			String vAna = "";
@@ -761,9 +761,9 @@
 			return false;
 		}
 
-		File wtcFile = new File(binDir, "wtc/${corpusname}.wtc");
-		new File(binDir, "/wtc/").deleteDir();
-		new File(binDir, "/wtc/").mkdir();
+		File cqpFile = new File(binDir, "cqp/${corpusname}.cqp");
+		new File(binDir, "/cqp/").deleteDir();
+		new File(binDir, "/cqp/").mkdir();
 		new File(binDir, "/data/${corpusname}").deleteDir();
 		new File(binDir, "/data/${corpusname}").mkdir();
 		new File(binDir, "registry/").mkdir();
@@ -830,8 +830,8 @@
 		println("process "+files.size()+" files ")
 		//println("files: $files")
 		//write txmcorpus
-		if (!createOutput(wtcFile)) {
-			println "Error: could not write wtc file"
+		if (!createOutput(cqpFile)) {
+			println "Error: could not write cqp file"
 			return false;
 		} else {
 			output.write("<txmcorpus lang=\""+lang+"\">\n");
@@ -848,7 +848,7 @@
 				String txtname = f.getName().substring(0, f.getName().length()-4);
 				def builder = new compiler(f.toURI().toURL(), txtname, corpusname, "default", metadataXPath);
 				builder.setLang(lang)
-				if (!builder.transfomFileWtc(wtcFile)) {
+				if (!builder.transfomFileWtc(cqpFile)) {
 					println "Failed to compile "+f
 				}
 				builder.setAnnotationDone(this.annotate_status);
@@ -856,8 +856,8 @@
 		}
 
 		//close txmcorpus
-		if (!createOutput(wtcFile)) {
-			println "Error: could not write wtc file"
+		if (!createOutput(cqpFile)) {
+			println "Error: could not write cqp file"
 			return false;
 		} else {
 			output.write("</txmcorpus>\n");
@@ -945,7 +945,7 @@
 
 		try {
 			String regPath = outDir + "/registry/"+corpusname.toLowerCase(); // CQP wants lower case registry files
-			cwbEn.run(outDir + "/data/${corpusname}", outDir + "/wtc/"+corpusname+".wtc", regPath,pAttributes, sAttributes);
+			cwbEn.run(outDir + "/data/${corpusname}", outDir + "/cqp/"+corpusname+".cqp", regPath,pAttributes, sAttributes);
 			if (!new File(regPath).exists()) {
 				println "Error: The registry file was not created: $regPath. See https://groupes.renater.fr/wiki/txm-users/public/faq"
 				return false;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/tmx/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/tmx/compiler.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/tmx/compiler.groovy	(revision 803)
@@ -159,7 +159,7 @@
 	private boolean createOutput(String dirPathName, String fileName){
 		try {
 			File f = new File(dirPathName, fileName)
-			//We don't want to concatenate the wtc files
+			//We don't want to concatenate the cqp files
 			output = new OutputStreamWriter(new FileOutputStream(f, f.exists()) , "UTF-8");
 			return true;
 		} catch (Exception e) {
@@ -183,7 +183,7 @@
 	}
 
 	/**
-	 * Transfom file wtc.
+	 * Transfom file cqp.
 	 *
 	 * @param dirPathName the dir path name
 	 * @param fileName the file name
@@ -439,8 +439,8 @@
 			return false;
 		}
 
-		new File(binDir,"/wtc/").deleteDir();
-		new File(binDir,"/wtc/").mkdir();
+		new File(binDir,"/cqp/").deleteDir();
+		new File(binDir,"/cqp/").mkdir();
 		new File(binDir,"/data/").deleteDir();
 		new File(binDir,"/data/").mkdir();
 		new File(binDir,"registry/").mkdir();
@@ -464,17 +464,17 @@
 		}
 		println "Using corpus ID: $corpusIDS"
 		
-		String wtcName;
+		String cqpName;
 		for (int group : langGroups.keySet()) {
 			String lang = langs.get(langGroups.get(group)[0]);
 			segs_id.put(group, 0);
-			wtcName = basename+"_"+corpusIDS.get(group);
-			createOutput(rootDir+"/wtc", "${wtcName}.wtc");
-			output.write("<txmcorpus id=\"${wtcName}\" lang=\"$lang\">\n")
+			cqpName = basename+"_"+corpusIDS.get(group);
+			createOutput(rootDir+"/cqp", "${cqpName}.cqp");
+			output.write("<txmcorpus id=\"${cqpName}\" lang=\"$lang\">\n")
 			output.close();
 
 			//create txmDirs
-			new File(rootDir, "txm/"+wtcName.toUpperCase()).mkdir();
+			new File(rootDir, "txm/"+cqpName.toUpperCase()).mkdir();
 		}
 
 		//1- Transform into WTC file and build a corpus per file
@@ -483,7 +483,7 @@
 		def builder = null;
 		for (int group : langGroups.keySet()) {
 			//String lang = langs.get(langGroups.get(group)[0]);
-			wtcName = basename+"_"+corpusIDS.get(group);
+			cqpName = basename+"_"+corpusIDS.get(group);
 			def filenames = langGroups.get(group);
 			filenames.sort()
 			//println("Process group no $group of files "+filenames)
@@ -496,19 +496,19 @@
 				}
 
 				filename = filename.substring(0, filename.length()-4);
-				String corpusname = (wtcName).toLowerCase();
+				String corpusname = (cqpName).toLowerCase();
 				counttext++;
 
 				String txtname = f.getName();
 				txtname = txtname.substring(0, txtname.lastIndexOf("_"));
 				seg_id = segs_id.get(group);
 				builder = new compiler(f.toURI().toURL(), txtname, basename, "default", tuprops);
-				builder.transfomFileWtc(rootDir+"/wtc",wtcName+".wtc");
-				anaTypesPerWtc[wtcName] = builder.getAnaTypes();
+				builder.transfomFileWtc(rootDir+"/cqp",cqpName+".cqp");
+				anaTypesPerWtc[cqpName] = builder.getAnaTypes();
 				segs_id.put(group, seg_id);
 
 				// move xml-txm file
-				File txmCorpusDir = new File(rootDir, "txm/"+wtcName.toUpperCase())
+				File txmCorpusDir = new File(rootDir, "txm/"+cqpName.toUpperCase())
 				f.renameTo(new File(txmCorpusDir, f.getName()));
 			}
 		}
@@ -516,7 +516,7 @@
 		
 		for (int group : langGroups.keySet()) {
 			//String lang = langs.get(langGroups.get(group)[0]);
-			createOutput(rootDir+"/wtc", basename+"_"+corpusIDS.get(group)+".wtc");
+			createOutput(rootDir+"/cqp", basename+"_"+corpusIDS.get(group)+".cqp");
 			output.write("</txmcorpus>")
 			output.close();
 		}
@@ -529,9 +529,9 @@
 		def outDir = rootDir;
 		def outDirTxm = rootDir;
 
-		def wtcFiles = [:]
-		for (File wtcfile : new File(rootDir, "wtc").listFiles()) {
-			String corpusname = wtcfile.getName();
+		def cqpFiles = [:]
+		for (File cqpfile : new File(rootDir, "cqp").listFiles()) {
+			String corpusname = cqpfile.getName();
 			
 			corpusname = corpusname.substring(0, corpusname.length()-4);
 			def corpusAnaTypes = anaTypesPerWtc[corpusname];
@@ -583,9 +583,9 @@
 			println "S-attributes: "+sargs
 
 			try {
-				wtcFiles[corpusname.toLowerCase()] = outDir + "/wtc/"+wtcfile.getName();
+				cqpFiles[corpusname.toLowerCase()] = outDir + "/cqp/"+cqpfile.getName();
 				String regPath = outDirTxm + "/registry/"+corpusname.toLowerCase()
-				cwbEn.run(outDirTxm + "/data/"+corpusname.toUpperCase()+"/", outDir + "/wtc/"+wtcfile.getName(), regPath, pAttributes, sAttributes);
+				cwbEn.run(outDirTxm + "/data/"+corpusname.toUpperCase()+"/", outDir + "/cqp/"+cqpfile.getName(), regPath, pAttributes, sAttributes);
 				if (!new File(regPath).exists()) {
 					println "Error: The registry file was not created: $regPath. See https://groupes.renater.fr/wiki/txm-users/public/faq"
 					return false;
@@ -604,11 +604,11 @@
 						try {
 							PatchCwbRegistry.patchAlignment(new File(registryDirectory, corpusName.getName()), targetName.getName());
 							
-							File wtcFile1 = new File(wtcFiles[corpusName.getName()]);
-							File wtcFile2 = new File(wtcFiles[targetName.getName()]);
+							File cqpFile1 = new File(cqpFiles[corpusName.getName()]);
+							File cqpFile2 = new File(cqpFiles[targetName.getName()]);
 							File alignOutFile = new File(outDir, "align.out");
 							
-							BuildAlignOut bao = new BuildAlignOut(wtcFile1, wtcFile2);
+							BuildAlignOut bao = new BuildAlignOut(cqpFile1, cqpFile2);
 							if (!bao.process(alignOutFile, "seg", "id")) {
 								println "Error while creating alignement file of $corpusName. Aborting."
 								return false;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/compiler.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/compiler.groovy	(revision 803)
@@ -162,7 +162,7 @@
 	}
 	
 	/**
-	 * Transfom file wtc.
+	 * Transfom file cqp.
 	 *
 	 * @param dirPathName the dir path name
 	 * @param fileName the file name
@@ -545,9 +545,9 @@
 			println ("binary directory does not exists: "+rootDir)
 			return false;
 		}
-		new File(rootDir+"/wtc/","bvh.wtc").delete();//cleaning&preparing
-		new File(rootDir,"/wtc/").deleteDir();
-		new File(rootDir,"/wtc/").mkdir();
+		new File(rootDir+"/cqp/","bvh.cqp").delete();//cleaning&preparing
+		new File(rootDir,"/cqp/").deleteDir();
+		new File(rootDir,"/cqp/").mkdir();
 		new File(rootDir,"/data/").deleteDir();
 		new File(rootDir,"/data/").mkdir();
 		new File(rootDir,"registry/").mkdir();
@@ -570,7 +570,7 @@
 				String txtname = f.getName().substring(0,f.getName().length()-4);
 				def builder = new compiler(f.toURL(),txtname, "bvh", "default");
 				builder.setLang lang
-				builder.transfomFileWtc(rootDir+"/wtc","bvh.wtc");
+				builder.transfomFileWtc(rootDir+"/cqp","bvh.cqp");
 			}
 		}
 		
@@ -586,7 +586,7 @@
 		String[] sAttributes = ["txmcorpus:0+lang", "text:2+id+type+base+project","div:2+id+type","p:0+id","q:0+id","said:0+id","foreign:0+id","lg:0+id","l:0+id","sp:0+id","speaker:0+id","stage:0+id"];
 		try {
 			String regPath = outDirTxm + "/registry/"+"bvh"
-			cwbEn.run(outDirTxm + "/data", outDir + "/wtc/"+"bvh.wtc", regPath, pAttributes, sAttributes);
+			cwbEn.run(outDirTxm + "/data", outDir + "/cqp/"+"bvh.cqp", regPath, pAttributes, sAttributes);
 			if (!new File(regPath).exists()) {
 				println "Error: The registry file was not created: $regPath. See https://groupes.renater.fr/wiki/txm-users/public/faq"
 				return false;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/discours/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/discours/compiler.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/discours/compiler.groovy	(revision 803)
@@ -180,16 +180,16 @@
 			println ("Error: CWB executables not well set.")
 			return false;
 		}
-		File wtcFile = new File(binDir,"wtc/${corpusname}.wtc");
-		new File(binDir, "wtc.").deleteDir();
-		new File(binDir, "wtc").mkdirs();
+		File cqpFile = new File(binDir,"cqp/${corpusname}.cqp");
+		new File(binDir, "cqp.").deleteDir();
+		new File(binDir, "cqp").mkdirs();
 		new File(binDir, "data/$corpusname").deleteDir();
 		new File(binDir, "data/$corpusname").mkdir();
 		new File(binDir, "registry").deleteDir();
 		new File(binDir, "registry").mkdir();
 
 		//start corpus
-		if (createOutput(wtcFile)) {
+		if (createOutput(cqpFile)) {
 			output.write("<txmcorpus lang=\""+lang+"\">\n");
 			output.close();
 		}
@@ -198,33 +198,33 @@
 		//1- Transform into WTC file
 
 		Collections.sort(files);
-		XMLTXM2WTC wtcbuilder = null;
+		XMLTXM2WTC cqpbuilder = null;
 		for (File f : files) {
 			if (second) { print(", ") }
 			if (second > 0 && (second % 5) == 0) println ""
 			print(f.getName().replaceFirst("\\.xml", ""));
 			second++
 
-			wtcbuilder = new XMLTXM2WTC(f.toURI().toURL());
+			cqpbuilder = new XMLTXM2WTC(f.toURI().toURL());
 			String txtname = f.getName().substring(0,f.getName().length()-4);
-			wtcbuilder.setTextInfo(txtname, corpusname, "project");
+			cqpbuilder.setTextInfo(txtname, corpusname, "project");
 
-			wtcbuilder.setBalisesToKeep(["text","p","s"]);
-			wtcbuilder.setSendToPAttributes(["s":["id"], "p":["id"]]);
-			wtcbuilder.setLang(lang);
-			if (!wtcbuilder.transformFile(wtcFile)) {
+			cqpbuilder.setBalisesToKeep(["text","p","s"]);
+			cqpbuilder.setSendToPAttributes(["s":["id"], "p":["id"]]);
+			cqpbuilder.setLang(lang);
+			if (!cqpbuilder.transformFile(cqpFile)) {
 				println("Failed to compile "+f)
 			}
 
 		}
 
 		//end corpus
-		if (createOutput(wtcFile)) {
+		if (createOutput(cqpFile)) {
 			output.write("</txmcorpus>\n");
 			output.close();
 		}
 
-		if (wtcbuilder == null) {
+		if (cqpbuilder == null) {
 			println "there was no files to process: "+files
 			return false;
 		}
@@ -235,8 +235,8 @@
 		CwbEncode cwbEn = new CwbEncode();
 		CwbMakeAll cwbMa = new CwbMakeAll();
 
-		List<String> pAttributesList = wtcbuilder.getpAttributs();
-		List<String> sAttributesList = wtcbuilder.getsAttributs();
+		List<String> pAttributesList = cqpbuilder.getpAttributs();
+		List<String> sAttributesList = cqpbuilder.getsAttributs();
 		println "pAttrs : "+pAttributesList
 		println "sAttrs : "+sAttributesList
 		String[] pAttributes = pAttributesList.toArray(new String[pAttributesList.size()])
@@ -248,7 +248,7 @@
 			String regPath = outDir + "registry/"+corpusname.toLowerCase()
 			cwbEn.run(
 					outDir + "data/$corpusname",
-					outDir + "/wtc/"+corpusname+".wtc",
+					outDir + "/cqp/"+corpusname+".cqp",
 					regPath,
 					pAttributes,
 					sAttributes);
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/RGAQCJ/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/RGAQCJ/compiler.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/RGAQCJ/compiler.groovy	(revision 803)
@@ -161,7 +161,7 @@
 	}
 	
 	/**
-	 * Transfom file wtc.
+	 * Transfom file cqp.
 	 *
 	 * @param dirPathName the dir path name
 	 * @param fileName the file name
@@ -516,9 +516,9 @@
 			println ("binary directory does not exists: "+rootDir)
 			return false;
 		}
-		new File(rootDir+"/wtc/","bfm3tt.wtc").delete();//cleaning&preparing
-		new File(rootDir,"/wtc/").deleteDir();
-		new File(rootDir,"/wtc/").mkdir();
+		new File(rootDir+"/cqp/","bfm3tt.cqp").delete();//cleaning&preparing
+		new File(rootDir,"/cqp/").deleteDir();
+		new File(rootDir,"/cqp/").mkdir();
 		new File(rootDir,"/data/").deleteDir();
 		new File(rootDir,"/data/").mkdir();
 		new File(rootDir,"registry/").mkdir();
@@ -539,7 +539,7 @@
 				println("process file "+f)
 				def builder = new compiler(f.toURL(),f.getName(),"bfm3tt","default");
 				builder.setLang(lang);
-				builder.transfomFileWtc(rootDir+"/wtc","bfm3tt.wtc");
+				builder.transfomFileWtc(rootDir+"/cqp","bfm3tt.cqp");
 			}
 		}
 		
@@ -554,7 +554,7 @@
 		 String[] sAttributes = ["txmcorpus:0+lang","text:0+id+titre+auteur+datecompo+ssiecle+domaine+genre+forme+dialecte+base+project","front:0+n","body:0+n","ab:0+n+rend","div:0+id+type","q:1+n","p:0+n","back:0+n"];
 		 try
 		 {
-		 cwbEn.run(outDirTxm + "/data", outDir + "/wtc/"+"bfm3tt.wtc", outDirTxm + "/registry/"+"bfm3tt",pAttributes, sAttributes);
+		 cwbEn.run(outDirTxm + "/data", outDir + "/cqp/"+"bfm3tt.cqp", outDirTxm + "/registry/"+"bfm3tt",pAttributes, sAttributes);
 		 cwbMa.run("BFM3TT", outDirTxm + "/registry");
 		 } catch (Exception ex) {System.out.println(ex); return false;}
 		 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/RGAQCJ/importRGAQCJ.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/RGAQCJ/importRGAQCJ.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/RGAQCJ/importRGAQCJ.groovy	(revision 803)
@@ -169,7 +169,7 @@
 	} 
 	
 	/**
-	 * Transfom file wtc.
+	 * Transfom file cqp.
 	 *
 	 * @param dirPathName the dir path name
 	 * @param fileName the file name
@@ -345,7 +345,7 @@
 	 */
 	public static void process(List<String> files, String rootDir) 
 	{
-		new File(rootDir+"wtc/").mkdir();
+		new File(rootDir+"cqp/").mkdir();
 		new File(rootDir+"registry/").mkdir();
 		//String[] files = ["roland-ana.xml","qgraal_cm-ana.xml","artu-ana.xml","qjm-ana.xml","commyn1-ana.xml","jehpar-ana.xml"];
 		//String rootDir = "~/xml/rgaqcj/";
@@ -353,7 +353,7 @@
 		println(types);
 		
 		//1- Transform into WTC file
-		File f = new File(rootDir+"wtc/","RGAQCJ.wtc");
+		File f = new File(rootDir+"cqp/","RGAQCJ.cqp");
 		f.delete();
 		
 		def output = new OutputStreamWriter(new FileOutputStream(f) , "UTF-8");
@@ -367,7 +367,7 @@
 			println("process file "+files[i])
 			String file = files[i]; 
 			def builder = new BuildXmlRGAQCJ(new File(rootDir+"/anainline/",file).toURL(),""+initiales.charAt(i),types);
-			builder.transfomFileWtc(rootDir+"wtc","RGAQCJ.wtc");
+			builder.transfomFileWtc(rootDir+"cqp","RGAQCJ.cqp");
 		}
 		
 		output = new OutputStreamWriter(new FileOutputStream(f,true) , "UTF-8");
@@ -391,12 +391,12 @@
 		{
 			if (System.getProperty("os.name").contains("Windows"))
 			{
-				cwbEn.run(outDirTxm + "data/"+"RGAQCJ", outDir +"wtc/"+"RGAQCJ"+".wtc", outDirTxm + "registry/"+"rgaqcj",pAttributes, sAttributes);
+				cwbEn.run(outDirTxm + "data/"+"RGAQCJ", outDir +"cqp/"+"RGAQCJ"+".cqp", outDirTxm + "registry/"+"rgaqcj",pAttributes, sAttributes);
 				cwbMa.run("RGAQCJ", outDirTxm + "registry");
 			}
 			else
 			{
-				cwbEn.run(outDirTxm + "data/"+"RGAQCJ", outDir + "/wtc/"+"RGAQCJ.wtc", outDirTxm + "registry/"+"rgaqcj",pAttributes, sAttributes);
+				cwbEn.run(outDirTxm + "data/"+"RGAQCJ", outDir + "/cqp/"+"RGAQCJ.cqp", outDirTxm + "registry/"+"rgaqcj",pAttributes, sAttributes);
 				cwbMa.run("RGAQCJ", outDirTxm + "registry");
 
 			}
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/ImportXmlTag.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/ImportXmlTag.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/ImportXmlTag.groovy	(revision 803)
@@ -179,18 +179,18 @@
 	public static void main(String[] args) {
 
 		String rootDir = "~/xml/rgaqcj/";
-		new File(rootDir+"/wtc/").mkdir();
+		new File(rootDir+"/cqp/").mkdir();
 		new File(rootDir,"/registry/").mkdir();
 
 		File srcfile = new File(rootDir+"/src/","roland.xml");
-		File resultfile = new File(rootDir+"/wtc/","roland-xmltag.wtc");
+		File resultfile = new File(rootDir+"/cqp/","roland-xmltag.cqp");
 		println("importXmlTag : "+srcfile+" to : "+resultfile );
 
 		def builder = new ImportXmlTag(srcfile.toURL());
 		builder.process(resultfile);
 
 		def inDir = rootDir;
-		def outDir =rootDir+"wtc/";
+		def outDir =rootDir+"cqp/";
 		def outDirTxm = rootDir;
 		CwbEncode cwbEn = new CwbEncode();
 		CwbMakeAll cwbMa = new CwbMakeAll();
@@ -199,7 +199,7 @@
 		String[] sAttributes = ["children:"+builder.maxprof+"+n"];
 
 		try {
-			cwbEn.run(outDirTxm + "data/"+"ROLANDXML", outDir +"roland-xmltag.wtc", outDirTxm + "registry/"+"rolandxml",pAttributes, sAttributes);
+			cwbEn.run(outDirTxm + "data/"+"ROLANDXML", outDir +"roland-xmltag.cqp", outDirTxm + "registry/"+"rolandxml",pAttributes, sAttributes);
 			cwbMa.run("ROLANDXML", outDirTxm + "registry");
 		} catch (Exception ex) {System.out.println(ex);}
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/cqp/cqpLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/cqp/cqpLoader.groovy	(revision 0)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/cqp/cqpLoader.groovy	(revision 803)
@@ -0,0 +1,151 @@
+package org.txm.importer.cqp
+
+import org.txm.importer.cwb.BuildCwbEncodeArgs;
+import java.io.File;
+import java.util.ArrayList;
+
+import org.txm.objects.*;
+import org.txm.scripts.teitxm.*;
+import org.txm.*;
+import org.txm.utils.i18n.*;
+import org.txm.metadatas.*;
+import org.txm.utils.io.FileCopy;
+import org.w3c.dom.Element
+import org.txm.utils.xml.DomUtils;
+
+String userDir = System.getProperty("user.home");
+
+def MONITOR;
+boolean debug = org.txm.utils.logger.Log.isPrintingErrors();
+BaseParameters params;
+try {params = paramsBinding;MONITOR=monitor} catch (Exception)
+{	println "DEV MODE";//exception means we debug
+	debug = true
+	params = new BaseParameters(new File(userDir, "xml/cqp/import.xml"))
+	params.load()
+	if (!org.txm.Toolbox.isInitialized()) {
+		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
+		//Toolbox.setParam(Toolbox.INSTALL_DIR,new File("C:\\Program Files\\TXM"));//For Windows
+		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
+		//Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File("C:\\Program Files\\treetagger"));//for Windows
+		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
+		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
+		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
+		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
+		//Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File("C:\\Program Files\\treetagger\\models"));//for Windows
+		Toolbox.setParam(Toolbox.USER_TXM_HOME, new File(System.getProperty("user.home"), "TXM"));
+	}
+}
+if (params == null) { println "no parameters. Aborting"; return; }
+
+String corpusname = params.getCorpusName();
+Element corpusElem = params.corpora.get(corpusname);
+String basename = params.name;
+String rootDir = params.rootDir;
+String lang = corpusElem.getAttribute("lang");
+String model = lang
+String encoding = corpusElem.getAttribute("encoding");
+boolean annotate = "true" == corpusElem.getAttribute("annotate");
+String xsl = params.getXsltElement(corpusElem).getAttribute("xsl")
+def xslParams = params.getXsltParams(corpusElem);
+int wordsPerPage = params.getWordsPerPage("default")
+boolean build_edition = params.getDoEdition("default")
+
+File srcDir = new File(rootDir);
+File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+binDir.deleteDir();
+binDir.mkdirs();
+if (!binDir.exists()) {
+	println "Could not create binDir "+binDir
+	return;
+}
+
+// FAKE: will contains no XML-TXM files
+File txmDir = new File(binDir, "txm/$corpusname");
+txmDir.deleteDir();
+txmDir.mkdirs();
+
+// Will contains the edition files
+File htmlDir = new File(binDir, "HTML/$corpusname");
+htmlDir.deleteDir();
+htmlDir.mkdirs();
+
+// get the cqp file and the registry file
+File cqpFile;
+File registryFile;
+println "Looking for files to process..."
+for(File f : srcDir.listFiles()) {
+	if (f.isHidden()) continue;
+	if (f.isDirectory()) continue;
+	if (f.getName().endsWith(".cqp")) {
+		if (cqpFile == null) {
+			cqpFile = f;
+			println "Using WTC file : $cqpFile"
+		}
+	} else if (f.getName().endsWith(".xml")) {
+
+	} else if (!f.getName().contains(".")){ // its the registry file
+		if (registryFile == null) {
+			registryFile = f;
+			println "Using registry file : $f"
+		}
+	}
+}
+
+if (cqpFile == null) {
+	println "No WTC file in source directory: "+srcDir;
+	return false;
+}
+
+// get pAttributes an run cwb-encode + cwb-makeall
+if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
+if (MONITOR != null) MONITOR.worked(25, "COMPILING")
+println "-- COMPILING - Building Search Engine indexes"
+def c = new compiler(cqpFile, registryFile)
+c.setDebug(debug)
+if (!c.run(binDir, corpusname)) {
+	println "Import stopped"
+	return;
+}
+
+if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
+
+new File(binDir,"HTML/$corpusname").deleteDir();
+new File(binDir,"HTML/$corpusname").mkdirs();
+if (build_edition) {
+	
+	println "-- EDITION - Building edition"
+	if (MONITOR != null) MONITOR.worked(20, "EDITION - Building edition")
+
+	File outdir = new File(binDir,"/HTML/$corpusname/default/");
+	outdir.mkdirs();
+
+	print "."
+
+	List<String> NoSpaceBefore = LangFormater.getNoSpaceBefore(lang);
+	List<String> NoSpaceAfter = LangFormater.getNoSpaceAfter(lang);
+
+	File binWtcFile = new File(binDir,"cqp/"+corpusname+".cqp");
+	def ed = new pager(binWtcFile, outdir, NoSpaceBefore, NoSpaceAfter, wordsPerPage, basename, registryFile !=null, c.pAttributesList);
+	def allIndexes = ed.getIdx();
+	def allPages = ed.getPageFiles();
+	for (String txtname : ed.getTextNames()) {
+		def txtIndexes = allIndexes[txtname];
+		def txtPages = allPages[txtname];
+
+		Element text = params.addText(params.corpora.get(corpusname), txtname, cqpFile);
+		Element edition = params.addEdition(text, "default", outdir.getAbsolutePath(), "html");
+
+		for (i = 0 ; i < txtPages.size();) {
+			File f = txtPages.get(i);
+			String wordid = txtIndexes.get(i);
+			params.addPage(edition, ""+(++i), wordid);
+		}
+	}
+}
+println ""
+
+if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
+if (MONITOR != null) MONITOR.worked(20, "FINALIZING")
+File paramFile = new File(binDir, "import.xml");
+DomUtils.save(params.root.getOwnerDocument(), paramFile);readyToLoad = true;
\ No newline at end of file
